
package de.ivu.elect.business.aufgabe.control;

import javax.annotation.Nullable;

import de.ivu.elect.business.exchange.control.AbstractWahlterminExchangeContext;
import de.ivu.elect.business.exchange.control.ContextMitImportInstanceTracker;
import de.ivu.elect.business.exchange.control.ImportInstanceTracker;
import de.ivu.elect.business.wahl.entity.Wahl;
import de.ivu.elect.business.wahl.entity.Wahltermin;

public class AufgabeExchangeContext extends AbstractWahlterminExchangeContext implements
    ContextMitImportInstanceTracker {

  private static final long serialVersionUID = 1L;

  private final Wahl wahl;

  private ImportInstanceTracker importInstanceTracker = ImportInstanceTracker.DEAKTIVIERT;

  public AufgabeExchangeContext(Wahltermin wahltermin, @Nullable Wahl wahl) {
    super(wahltermin);
    this.wahl = wahl;
  }

  public boolean hasWahl() {
    return wahl != null;
  }

  public Wahl getWahl() {
    return wahl;
  }

  @Override
  public ImportInstanceTracker getImportInstanceTracker() {
    return importInstanceTracker;
  }

  @Override
  public void setImportInstanceTracker(ImportInstanceTracker tracker) {
    importInstanceTracker = tracker;
  }

}
